#include <stdio.h>
#include <stdlib.h>

int main()
{
    int i, n, x, t, minn, maks;
    t=0;
    scanf("%d%d", &n, &x);
    int a[n];
    for(i=1;i<n+1;i++)
    {
        scanf("%d", &a[i]);
    }
    minn=a[1];
    maks=a[1];
    for(i=1;i<n+1;i++)
    {
        if(minn>a[i])
            minn=a[i];
        if(maks<a[i])
            maks=a[i];
    }
    if(minn<x&&maks>x)
    {
        t=t+(minn-x);
        if(t<0)
            t=t*(-1);
        t=t+(maks-minn);
        printf("%d", t);
    }
    else
    {
        t=t+(minn-x)+(maks-minn);
        if(t<0)
            t=t*(-1);
        printf("%d", t);
    }
    return 0;
}